org.springframework.ldap.core

## Class DistinguishedNameEditor

- java.lang.Object
- - java.beans.PropertyEditorSupport
  - - org.springframework.ldap.core.DistinguishedNameEditor

- All Implemented Interfaces:
    PropertyEditor

  Deprecated.
  `DistinguishedName` and associated classes are deprecated as of 2.0.

      public class DistinguishedNameEditor
      extends PropertyEditorSupport

  Property editor for use with `DistinguishedName` instances. The `setAsText(String)` method sets the value as an immutable instance of a DistinguishedName.
  Since:
    1.2
  Author:
    Mattias Hellborg Arthursson

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DistinguishedNameEditor()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAsText()` Deprecated.
    `void` | `setAsText(String text)` Deprecated.

    - ### Methods inherited from class java.beans.PropertyEditorSupport

      `addPropertyChangeListener, firePropertyChange, getCustomEditor, getJavaInitializationString, getSource, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setSource, setValue, supportsCustomEditor`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DistinguishedNameEditor

          public DistinguishedNameEditor()

      Deprecated.

  - ### Method Detail

    - #### setAsText

          public void setAsText(String text)
                         throws IllegalArgumentException

      Deprecated.
      Specified by:
        `setAsText` in interface `PropertyEditor`
      Overrides:
        `setAsText` in class `PropertyEditorSupport`
      Throws:
        `IllegalArgumentException`

    - #### getAsText

          public String getAsText()

      Deprecated.
      Specified by:
        `getAsText` in interface `PropertyEditor`
      Overrides:
        `getAsText` in class `PropertyEditorSupport`